## EchoXML

### Description

Echo nested XML to the console or a file. Since Ant 1.7

### Parameters

Attribute | Description | Required
file | The file to receive the XML. If omitted nested XML will be echoed to the log. | No
append | Whether to append `file`, if specified. | No

### Parameters specified as nested elements

Nested XML content is required.

### Examples

    <echoxml file="subbuild.xml">
      <project default="foo">
        <target name="foo">
          <echo>foo</echo>
        </target>
      </project>
    </echoxml>

Creates an Ant buildfile, `subbuild.xml`.